'内存的相关信息
'    Case 0 '内存使用百分比
'        Function = s.dwMemoryLoad
'    Case 1 '实际内存总字节数
'        Function = s.dwTotalPhys
'    Case 2 '可用的实际内存字节数
'        Function = s.dwAvailPhys
'    Case 3 '分页文件总字节数
'        Function = s.dwTotalPageFile
'    Case 4 '分页文件可用字节数
'        Function = s.dwAvailPageFile
'    Case 5 '虚拟内存的总字节数
'        Function = s.dwTotalVirtual
'    Case 6 '可用的虚拟内存字节数
'        Function = s.dwAvailVirtual
Function Mem_Info(a as Long) as ulongint '内存的相关信息
   Dim s as MEMORYSTATUSEX
   s.dwLength = Len(s)
   GlobalMemoryStatusEx(@s)
   Select Case a
      Case 0 '内存使用百分比
         Function = s.dwMemoryLoad
      Case 1 '实际内存总字节数
         Function = s.ullTotalPhys
         
      Case 2 '可用的实际内存字节数
         Function = s.ullAvailPhys
         
      Case 3 '分页文件总字节数
         Function = s.ullTotalPageFile
         
      Case 4 '分页文件可用字节数
         Function = s.ullAvailPageFile
         
      Case 5 '虚拟内存的总字节数
         Function = s.ullTotalVirtual
         
      Case 6 '可用的虚拟内存字节数
         Function = s.ullAvailVirtual
         
   End Select
   
End Function
